NHibernate.Spatial.PostGis 8.0.0

dotnet add package NHibernate.Spatial.PostGis --version 8.0.0
NuGet\Install-Package NHibernate.Spatial.PostGis -Version 8.0.0
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="NHibernate.Spatial.PostGis" Version="8.0.0" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add NHibernate.Spatial.PostGis --version 8.0.0
#r "nuget: NHibernate.Spatial.PostGis, 8.0.0"
#r directive can be used in F# Interactive and Polyglot Notebooks. Copy this into the interactive tool or source code of the script to reference the package.
// Install NHibernate.Spatial.PostGis as a Cake Addin
#addin nuget:?package=NHibernate.Spatial.PostGis&version=8.0.0

// Install NHibernate.Spatial.PostGis as a Cake Tool
#tool nuget:?package=NHibernate.Spatial.PostGis&version=8.0.0

NHibernate.Spatial Build status

NHibernate.Spatial is a library of spatial extensions for NHibernate, and allows you to connect NHibernate to a spatially-enabled database and manipulate geometries in .NET code using NetTopologySuite, providing you with a fully integrated GIS programming experience.

NuGet Packages

Package Version
NHibernate.Spatial.MsSql NuGet Status
NHibernate.Spatial.MySQL NuGet Status
NHibernate.Spatial.PostGis NuGet Status
NHibernate.Spatial.SpatiaLite NuGet Status

Supported Databases

Package Dialects CI Tests
NHibernate.Spatial.MsSql SQL Server 2012 SQL Server 2017, SQL Server 2019, SQL Server 2022
NHibernate.Spatial.MySQL MySQL 5.7, MySQL 8.0 MySQL 5.7, MySQL 8.0, MySQL 8.3
NHibernate.Spatial.PostGis PostGIS 2.0, PostGIS 3.0 PostGIS 2.5 (PostgreSQL 12), PostGIS 3.0 (PostgreSQL 12), PostGIS 3.4 (PostgreSQL 16)
NHibernate.Spatial.SpatiaLite SpatiaLite SpatiaLite 4, SpatiaLite 5

Getting Started

For configuring your application, please refer to Configuration and Mapping on the NHForge Wiki. Furthermore you can read about sample usage. For an updated in-depth look at NHibernate.Spatial, you can read this excellent blog post written by Pedro Sousa.

For general NHibernate help, the NHibernate community website - http://nhibernate.info/ - has a range of resources to help you get started with basic NHibernate, including wikis, blogs and reference documentation.

SpatiaLite

In order to use the SpatiaLite dialect, the mod_spatialite.[dll|so] library must be available on the PATH. To assist with cases where mod_spatialite cannot be installed on the system PATH, the SpatiaLite driver prepends <path to NHibernate.Spatial.SpatiaLite.dll>/lib/spatialite to the PATH.

https://www.gaia-gis.it/fossil/libspatialite/wiki?name=mod_spatialite

Discussion Forum

Discussion is made through the NHibernate.Spatial Mailing List. Feel free to join in with suggestions or thoughts!

Request for Contributors

All contributors are welcome. We need help improving the current dialects, getting tests to pass, identifying and fixing bugs, and keeping the project going.

Credits

Many thanks to the following individuals, organisations and projects whose work is so important to the success of NHibernate.Spatial (in no particular order):

Product Compatible and additional computed target framework versions.
.NET net5.0 was computed.  net5.0-windows was computed.  net6.0 was computed.  net6.0-android was computed.  net6.0-ios was computed.  net6.0-maccatalyst was computed.  net6.0-macos was computed.  net6.0-tvos was computed.  net6.0-windows was computed.  net7.0 was computed.  net7.0-android was computed.  net7.0-ios was computed.  net7.0-maccatalyst was computed.  net7.0-macos was computed.  net7.0-tvos was computed.  net7.0-windows was computed.  net8.0 was computed.  net8.0-android was computed.  net8.0-browser was computed.  net8.0-ios was computed.  net8.0-maccatalyst was computed.  net8.0-macos was computed.  net8.0-tvos was computed.  net8.0-windows was computed. 
.NET Core netcoreapp2.0 was computed.  netcoreapp2.1 was computed.  netcoreapp2.2 was computed.  netcoreapp3.0 was computed.  netcoreapp3.1 was computed. 
.NET Standard netstandard2.0 is compatible.  netstandard2.1 was computed. 
.NET Framework net461 was computed.  net462 was computed.  net463 was computed.  net47 was computed.  net471 was computed.  net472 was computed.  net48 was computed.  net481 was computed. 
MonoAndroid monoandroid was computed. 
MonoMac monomac was computed. 
MonoTouch monotouch was computed. 
Tizen tizen40 was computed.  tizen60 was computed. 
Xamarin.iOS xamarinios was computed. 
Xamarin.Mac xamarinmac was computed. 
Xamarin.TVOS xamarintvos was computed. 
Xamarin.WatchOS xamarinwatchos was computed. 
Compatible target framework(s)
Included target framework(s) (in package)
Learn more about Target Frameworks and .NET Standard.

NuGet packages (1)

Showing the top 1 NuGet packages that depend on NHibernate.Spatial.PostGis:

Package Downloads
Shesha.NHibernate.PostGis

Package Description

GitHub repositories (1)

Showing the top 1 popular GitHub repositories that depend on NHibernate.Spatial.PostGis:

Repository Stars
shesha-io/shesha-framework
An open-source Low-Code development framework for .NET developers. Create .NET based business applications with 80% less code.
Version Downloads Last updated
8.0.0 1,407 1/23/2024
7.0.0 10,323 8/15/2022
6.1.1 1,783 8/15/2022
6.1.0 470 8/14/2022
6.0.0 18,895 10/25/2020
6.0.0-pre001 1,815 6/30/2020
5.3.0 10,653 12/9/2019
5.2.1-pre001 464 6/11/2019
5.2.0 11,031 3/6/2019
5.1.1 1,078 1/18/2019
5.1.0 7,675 12/12/2018
5.1.0-pre001 1,036 7/24/2018
5.0.0 5,653 5/24/2018
5.0.0-pre1 910 11/12/2017
4.1.1.4001 3,010 6/29/2017
4.1.1.4000 1,200 2/9/2017
4.1.0.4000 1,117 2/8/2017
4.1.0.4000-pre1 886 1/2/2017
4.0.4.4002-pre1 1,020 7/13/2016
4.0.4.4001 3,173 3/9/2016
4.0.4.4000 1,561 10/31/2015
4.0.3.4000 1,331 3/29/2015
4.0.2.4001 1,377 11/25/2014
4.0.2.4000 1,575 11/23/2014
3.3.3-pre 1,289 3/3/2014